<!DOCTYPE html>
<html lang="en">
    <head>
        <title>{{title}}</title>
        <meta charset="UTF-8" />
        <meta name="theme-color" content="#3F51B5" />
        <meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=no" />
        <link rel="shortcut icon" sizes="256x256" href="{{ url_for('static', filename='icon.png') }}" />
        <link rel="stylesheet" type="text/css" href="{{ url_for('static', filename='style.css') }}" />
        <script>
            var baseURL = "{{ base }}";
        </script>
        <script src="{{ url_for('static', filename='script.js') }}"></script>
    </head>
    <body>
        <div class="header">
            <div class="headercontent">
                <img src="{{ url_for('static', filename='icon-symbolic.svg') }}" class="logo" onclick="window.location = '/';"></img>
                <input type="search" placeholder="Search packages" value="{% block searchterm %}{% endblock %}" id="searchbar" onsearch="search();">
                <!-- <img src="{{ url_for('static', filename='updates.svg') }}" class="updates" onclick="window.location = '/updates';"></img> -->
            </div>
        </div>
        <div class="content">
            {% block body %}{% endblock %}
        </div>
        <script>
            var wage = document.getElementById("searchbar");
            wage.addEventListener("keydown", function (e) {
                if (e.code === "Enter") {  //checks whether the pressed key is "Enter"
                    var url = baseURL + "/search/" + document.getElementById('searchbar').value;
                    console.log(url);
                    document.location.href = url;
                }
            });    
        </script>
    </body>
</html>
